<?php

require_once("../includes/bootstrap2.php");
if (!headers_sent())
    ob_start("ob_gzhandler");
$sesion = new sesion(); // inicio la sesion


$academia = bootstrap::initBd($sesion->get('anio'));

$nom_grupo = $sesion->getVar("configuracion.nombres_grupos");
  
$sql = 'SELECT  
		 aca_estudiantesxgrupos.cod_grupo AS cdgrupo
		, view_datos_grupos.nom_sede as "sede"
		, view_datos_grupos.nom_jornada as "jornada"   
		, view_datos_grupos.nom_grado as "grado"
		, view_datos_grupos.' . $nom_grupo . ' as "grupo" 
		, view_datos_grupos.nom_ape 
                , view_datos_grupos.finalizado as estado 
		, COUNT(aca_estudiantesxgrupos.cod_estudiante) AS numero,
                (SELECT COUNT(aca_estudiantesxgrupos.cod_estudiante) FROM aca_estudiantesxgrupos INNER JOIN aca_estudiantes ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante) WHERE  aca_estudiantesxgrupos.cod_grupo= cdgrupo AND aca_estudiantesxgrupos.aprobo=0 AND aca_estudiantes.estado_est<>0 AND aca_estudiantes.matriculado="S") AS napro
	FROM
	   aca_estudiantesxgrupos
		INNER JOIN view_datos_grupos  
			ON (aca_estudiantesxgrupos.cod_grupo = view_datos_grupos.cod_grupo)
		INNER JOIN aca_estudiantes 
			ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
	WHERE (aca_estudiantes.estado_est =1)
	GROUP BY aca_estudiantesxgrupos.cod_grupo
	ORDER BY view_datos_grupos.cod_sede ASC, view_datos_grupos.cod_jornada ASC, view_datos_grupos.orden ASC, view_datos_grupos.nom_grupo_num ASC, finalizado, napro ASC';

$academia->instruccion($sql); 
$i = 0;
$responce->page = 1;
$responce->total = $academia->filas_afectadas();
$responce->records = $responce->total;
while ($row = $academia->extraer_registro()) {
    $responce->rows[$i]['id'] = $row['cdgrupo']; 
    $responce->rows[$i]['cell'] = array(
        $row['sede'],
        $row['jornada'],
        $row['grado'],  
        $row['grupo'],
        $row['numero'],
        $row['estado'], 
        $row['napro']
    );
    $i++;
}
$responce->sql=$sql;

header("Content-type:application/json");
echo json_encode($responce);
$academia->cerrar();
?>